#ifndef CAMERADIALOG_H
#define CAMERADIALOG_H

#include <QDialog>
#include <vector>
#include <uvoscam.h>
#include <QSettings>

namespace Ui {
class CameraDialog;
}

class CameraDialog : public QDialog
{
	Q_OBJECT

public:
	explicit CameraDialog(const std::vector<cam::Camera::Description>& desc, QWidget *parent = nullptr);
	~CameraDialog();
	std::vector<cam::Camera::Description> getDescriptions();

private:
	Ui::CameraDialog *ui;
};

#endif // CAMERADIALOG_H
